Bug 38743 - Allow override of widget<->syntax-class mapping
Allow override of widget<->syntax-class mapping
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Domain management (Generic)
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-6-errata
Assigned To: Florian Best
Dirk Wiesenthal
:
Depends on:
Blocks: 39041 48494
  Show dependency treegraph
 
Reported: 2015-06-22 17:30 CEST by Florian Best
Modified: 2019-01-18 15:49 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
patch (3.51 KB, patch)
2015-06-22 18:30 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2015-06-22 17:30:06 CEST
It is currently not possible to extend the list of widgets which are mapped to syntax classes.
It is not possible for extensions of UDM to ship own widgets.

The mapping should be override-able via UCR-variables.
Suggestion:

directory/manager/web/widget/<pseudo-name>/syntax: syntax-class1,syntax-class2
directory/manager/web/widget/<pseudo-name>/widget: umc/modules/udm/<ext>/<widget>
directory/manager/web/widget/<pseudo-name>/default: <some-default-value>
directory/manager/web/widget/<pseudo-name>/property/<property>: <some-other-widget>
directory/manager/web/widget/<pseudo-name>/subclasses: syntax-class1,syntax-class2
Comment 1 Florian Best univentionstaff 2015-06-22 18:30:54 CEST
Created attachment 6978 [details]
patch

(In reply to Florian Best from comment #0)
> directory/manager/web/widget/<pseudo-name>/subclasses: syntax-class1,syntax-class2
err, this is only boolean: <true|false>3
Comment 2 Florian Best univentionstaff 2015-06-23 14:35:12 CEST
Applied the patch. Added UCR variable descriptions.

univention-management-console-module-udm (4.0.99-7):
r61420 | Bug #38743: allow widget override via UCR variables
r61419 | Copyright Bug #38743

2015-06-23-univention-management-console-module-udm.yaml:
r61421 | YAML Bug #38743

QA: I'll query you the AZE account for the QA time.
Comment 3 Florian Best univentionstaff 2015-06-23 16:13:20 CEST
I also added an automatic loading of the defined widgets:
r61427 | Bug #38743: automatically load missing widgets
Comment 4 Dirk Wiesenthal univentionstaff 2015-06-26 13:49:43 CEST
Code: OK
YAML: OK
Comment 5 Janek Walkenhorst univentionstaff 2015-06-30 16:27:51 CEST
<http://errata.univention.de/ucs/3.2/341.html>